Subject: [bug#58645] [PATCH 0/7]: gnu: Astopy: Fix build and update to 5.1

From: Sharlatan Hellseher <[email-masked]>
Date: Wed, 19 Oct 2022 21:19:50 +0100

Hi Guix team!

As reported in https://issues.guix.gnu.org/58586 Astropy stopped building
after latest staging->master merge, here is a series of patches which updates
vital dependencies of Astropy and update Astropy itself to 5.1. It also
includes upgrade of some dependent where possible with easy win.

These list of packages dropped using setup.py and migrated to pyproject.toml
which require pack missing inputs and update phases:

- python-cdflib
- python-asdf requies
- python-asdf-astropy
- python-gwcs

-- 
… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.